curl --request GET \
--url https://api.smokeball.com/bankaccounts/{id} \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/bankaccounts/{id}"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/bankaccounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
"type": "Trust",
"status": 0,
"matter": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"accountType": 0,
"accountName": "John Smith",
"accountNumber": "10436489",
"bankName": "Commonwealth Bank",
"branchNumber": "062201",
"branchName": "Sydney",
"balance": 1000,
"contactBalances": [
{
"matter": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"contact": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"balance": 1000,
"protectedBalance": 1000,
"availableBalance": 1000,
"lastUpdated": "2023-11-07T05:31:56Z"
}
],
"matterBalances": [
{
"matter": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"balance": 1000,
"protectedBalance": 1000,
"availableBalance": 1000,
"unpresentedChequesBalance": 0,
"lastUpdated": "2023-11-07T05:31:56Z"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Get a bank account
Retrieves a specified bank account.
Path Parameters
Response
When request is successful. Returns a 'BankAccount' object.
Show child attributes
Show child attributes
Unique identifier of the bank account.
"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"
The type of the bank account (Operating, Trust, Credit, ControlledMoney).
"Trust"
The status of the account (Open, Closed).
0, 1 The Matter associated to the account.
Applies to 'ControlledMoney' accounts only.
Show child attributes
Show child attributes
The type of the bank account (Operating = 0, Trust = 1, Credit = 2, ControlledMoney = 3).
This field is deprecated and scheduled for removal - use the Type field instead.
0
Account Name.
"John Smith"
Account Number.
"10436489"
Bank Name.
"Commonwealth Bank"
Branch Number.
"062201"
Branch Name.
"Sydney"
Total balance of the bank account.
1000
List of contact balances.
If balances are stored by matter, not by contact, then there can be a contact balance with no contact id. In this case, MatterBalances are used instead.
Only supported in US.
Show child attributes
Show child attributes
List of matter balances.
A matter balance will be equal to the sum of all contact balances with the same MatterId.
Show child attributes
Show child attributes